Bug 1126281 - [abrt] libreoffice-core: SwTOXBaseSection::Update(SfxItemSet const*, bool)(): soffice.bin killed by SIGSEGV
Summary: [abrt] libreoffice-core: SwTOXBaseSection::Update(SfxItemSet const*, bool)():...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6502912964ada69adc840bc7cdc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-04 05:14 UTC by Faizal Luthfi
Modified: 2014-10-21 15:49 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-21 15:49:33 UTC


Attachments (Terms of Use)
File: backtrace (106.62 KB, text/plain)
2014-08-04 05:14 UTC, Faizal Luthfi
no flags Details
File: cgroup (180 bytes, text/plain)
2014-08-04 05:14 UTC, Faizal Luthfi
no flags Details
File: core_backtrace (31.82 KB, text/plain)
2014-08-04 05:14 UTC, Faizal Luthfi
no flags Details
File: dso_list (24.18 KB, text/plain)
2014-08-04 05:14 UTC, Faizal Luthfi
no flags Details
File: environ (1.94 KB, text/plain)
2014-08-04 05:14 UTC, Faizal Luthfi
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-04 05:14 UTC, Faizal Luthfi
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-04 05:14 UTC, Faizal Luthfi
no flags Details
File: maps (112.44 KB, text/plain)
2014-08-04 05:14 UTC, Faizal Luthfi
no flags Details
File: open_fds (627 bytes, text/plain)
2014-08-04 05:14 UTC, Faizal Luthfi
no flags Details
File: proc_pid_status (949 bytes, text/plain)
2014-08-04 05:15 UTC, Faizal Luthfi
no flags Details
File: var_log_messages (373 bytes, text/plain)
2014-08-04 05:15 UTC, Faizal Luthfi
no flags Details

Description Faizal Luthfi 2014-08-04 05:14:32 UTC
Description of problem:
The problem happened when I tried to insert bibliography index and table on 2 columns paragraph

Version-Release number of selected component:
libreoffice-core-4.2.5.2-10.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer file:///home/fedora/Dokumen/Skripsi2/03%20-%20Seminar%20Hasil/Makalah.odt
crash_function: SwTOXBaseSection::Update(SfxItemSet const*, bool)
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.15.7-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 SwTOXBaseSection::Update(SfxItemSet const*, bool) at /usr/lib64/libreoffice/program/../program/libswlo.so
 #1 SwDoc::InsertTableOf(SwPosition const&, SwTOXBase const&, SfxItemSet const*, bool) at /usr/lib64/libreoffice/program/../program/libswlo.so
 #2 SwEditShell::InsertTableOf(SwTOXBase const&, SfxItemSet const*) at /usr/lib64/libreoffice/program/../program/libswlo.so
 #3 SwTOXMgr::UpdateOrInsertTOX(SwTOXDescription const&, SwTOXBase**, SfxItemSet const*) at /usr/lib64/libreoffice/program/../program/libswlo.so
 #4 SwMultiTOXTabDialog::Ok() at /usr/lib64/libreoffice/program/libswuilo.so
 #5 SfxTabDialog::OkHdl(void*) at /usr/lib64/libreoffice/program/libsfxlo.so
 #6 Control::ImplCallEventListenersAndHandler(unsigned long, Link const&, void*) at /usr/lib64/libreoffice/program/libvcllo.so
 #7 Window::EndTracking(unsigned short) at /usr/lib64/libreoffice/program/libvcllo.so
 #8 ImplHandleMouseEvent(Window*, unsigned short, unsigned char, long, long, unsigned long, unsigned short, unsigned short) at /usr/lib64/libreoffice/program/libvcllo.so
 #9 ImplWindowFrameProc(Window*, SalFrame*, unsigned short, void const*) at /usr/lib64/libreoffice/program/libvcllo.so

Comment 1 Faizal Luthfi 2014-08-04 05:14:38 UTC
Created attachment 923754 [details]
File: backtrace

Comment 2 Faizal Luthfi 2014-08-04 05:14:40 UTC
Created attachment 923755 [details]
File: cgroup

Comment 3 Faizal Luthfi 2014-08-04 05:14:42 UTC
Created attachment 923756 [details]
File: core_backtrace

Comment 4 Faizal Luthfi 2014-08-04 05:14:45 UTC
Created attachment 923757 [details]
File: dso_list

Comment 5 Faizal Luthfi 2014-08-04 05:14:47 UTC
Created attachment 923758 [details]
File: environ

Comment 6 Faizal Luthfi 2014-08-04 05:14:49 UTC
Created attachment 923759 [details]
File: exploitable

Comment 7 Faizal Luthfi 2014-08-04 05:14:50 UTC
Created attachment 923760 [details]
File: limits

Comment 8 Faizal Luthfi 2014-08-04 05:14:56 UTC
Created attachment 923761 [details]
File: maps

Comment 9 Faizal Luthfi 2014-08-04 05:14:58 UTC
Created attachment 923762 [details]
File: open_fds

Comment 10 Faizal Luthfi 2014-08-04 05:15:00 UTC
Created attachment 923763 [details]
File: proc_pid_status

Comment 11 Faizal Luthfi 2014-08-04 05:15:01 UTC
Created attachment 923764 [details]
File: var_log_messages

Comment 12 Michael Stahl 2014-08-07 18:34:22 UTC
i am unable to reproduce a crash by inserting various Indexes
into a 2-column section.

are you able to provide more detailed steps to reproduce the problem?


Note You need to log in before you can comment on or make changes to this bug.